/* client.hh: XMMS2 client header.
 *
 * Copyright (c) 2006 Jonne Lehtinen <jms@modeemi.fi>
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the Do What The F*ck You Want To
 *  Public License, Version 2, as published by Sam Hocevar. See
 *  COPYING file for more details.
 */

#ifndef GX2OSD_CLIENT_HH
#define GX2OSD_CLIENT_HH

#include <glibmm/ustring.h>

#include <xmmsclient/xmmsclient++.h>

#include "boost/noncopyable.hpp"

#include "main_window.hh"

namespace gx2osd {

    class client : private boost::noncopyable {

        public:

            client();
            ~client();

        private:

            bool song_changed( const unsigned int& id );
            bool error_handler( const std::string& error,
                                const Glib::ustring& artist,
                                const Glib::ustring& title,
                                const Glib::ustring& album );
            bool info_get( const Xmms::PropDict& info );
            bool cover_get( const Xmms::bin& cover,
                            const Glib::ustring& artist,
                            const Glib::ustring& title,
                            const Glib::ustring& album );

            void dc_handler();

            Xmms::Client client_;
            main_window& win_;

    };

}

#endif // GX2OSD_CLIENT_HH
