/* image.cc: skin image holder implementation.
 *
 * Copyright (c) 2006 Jonne Lehtinen <jms@modeemi.fi>
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the Do What The F*ck You Want To
 *  Public License, Version 2, as published by Sam Hocevar. See
 *  COPYING file for more details.
 */

#include <gdkmm/pixbuf.h>
#include "image.hh"

gx2osd::image::image() : noncopyable(), image_(), position_() {

}

gx2osd::image::~image() {

}

gx2osd::image::operator Glib::RefPtr< Gdk::Pixbuf >() {
    return image_;
}

const gx2osd::image&
gx2osd::image::operator=( const Glib::RefPtr< Gdk::Pixbuf >& rvalue ) {
    image_ = rvalue;
    return *this;
}

void
gx2osd::image::set_position( unsigned int x, unsigned int y ) {
    position_.x = x;
    position_.y = y;
}

const gx2osd::Position&
gx2osd::image::get_position() const {
    return position_;
}
