/* label.cc: Label holder implementation.
 *
 * Copyright (c) 2006 Jonne Lehtinen <jms@modeemi.fi>
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the Do What The F*ck You Want To
 *  Public License, Version 2, as published by Sam Hocevar. See
 *  COPYING file for more details.
 */

#include <gdkmm/color.h>
#include <string>

#include "label.hh"

gx2osd::label::label() : noncopyable(), width_( 0 ), color_( "#000000" ),
                         size_( 10 ), bold_( false ) {

}

gx2osd::label::~label() {

}

void
gx2osd::label::set_position( unsigned int x, unsigned int y ) {
    position_.x = x;
    position_.y = y;
}

const gx2osd::Position&
gx2osd::label::get_position() const {
    return position_;
}

void
gx2osd::label::set_width( unsigned int width ) {
    width_ = width;
}

unsigned int
gx2osd::label::get_width() const {
    return width_;
}

void
gx2osd::label::set_color( const std::string& color ) {
    color_ = color;
}

const std::string&
gx2osd::label::get_color() const {
    return color_;
}

void
gx2osd::label::set_size( unsigned int size ) {
    size_ = size;
}

unsigned int
gx2osd::label::get_size() const {
    return size_;
}

void
gx2osd::label::set_bold( bool bold ) {
    bold_ = bold;
}

bool
gx2osd::label::get_bold() const {
    return bold_;
}
