/* label.hh: Label holder header.
 *
 * Copyright (c) 2006 Jonne Lehtinen <jms@modeemi.fi>
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the Do What The F*ck You Want To
 *  Public License, Version 2, as published by Sam Hocevar. See
 *  COPYING file for more details.
 */

#ifndef GX2OSD_LABEL_HH
#define GX2OSD_LABEL_HH

#include <string>
#include <gdkmm/color.h>

#include "boost/noncopyable.hpp"
#include "image.hh"

namespace gx2osd {

    class label : private boost::noncopyable {

        public:
            label();
            ~label();

            void set_position( unsigned int x, unsigned int y );
            const Position& get_position() const;

            void set_width( unsigned int width );
            unsigned int get_width() const;

            void set_color( const std::string& color );
            const std::string& get_color() const;

            void set_size( unsigned int size );
            unsigned int get_size() const;

            void set_bold( bool bold );
            bool get_bold() const;

        private:
            Position position_;
            unsigned int width_;
            std::string color_;
            unsigned int size_;
            bool bold_;

    };

}

#endif // GX2OSD_LABEL_HH
